<?php

namespace App\Danoral\Entidades;

use App\Danoral\ModelBase;
use App\Danoral\Entidades\Entidad;


class EDato extends ModelBase
{
    protected $table = 'admin.entidades_datos';
    protected $primaryKey = 'idED';
    protected $keyType = 'bigint';
    public $incrementing = false;
    public $timestamps = false;

    public static $EDATO_STATUS_VALIDADO = 1;


    public function Entidad(){
        return $this->belongsToMany(Entidad::class, 'idE', 'idE');
    }
    public function EDatoType(){
        return $this->hasOne(EDatoType::class, 'typeED', 'typeED');
    }
}
